$(call PKG_INIT_BIN,4.33)
$(PKG)_SOURCE:=$(pkg)-$($(PKG)_VERSION).tar.gz
$(PKG)_SOURCE_MD5:=559a864066d8cc4afd8a97682c90d41c
$(PKG)_SITE:=http://www.stunnel.org/download/stunnel/src

$(PKG)_STARTLEVEL=30

$(PKG)_BINARY:=$($(PKG)_DIR)/src/$(pkg)
$(PKG)_TARGET_BINARY:=$($(PKG)_DEST_DIR)/usr/sbin/$(pkg)

$(PKG)_DEPENDS_ON := openssl zlib

$(PKG)_LIBS := -lutil -lssl -lcrypto -lz -ldl

ifeq ($(strip $(FREETZ_PACKAGE_STUNNEL_STATIC)),y)
$(PKG)_LDFLAGS := -all-static
endif

$(PKG)_CONFIGURE_ENV += ac_cv_file___dev_ptmx_=yes
$(PKG)_CONFIGURE_ENV += ac_cv_file___dev_ptc_=no
$(PKG)_CONFIGURE_ENV += ac_cv_file___dev_urandom_=yes

$(PKG)_CONFIGURE_OPTIONS += --disable-libwrap
$(PKG)_CONFIGURE_OPTIONS += --with-threads=fork
#$(PKG)_CONFIGURE_OPTIONS += --with-threads=pthread
$(PKG)_CONFIGURE_OPTIONS += --with-ssl="$(TARGET_MAKE_PATH)/../usr"
$(PKG)_CONFIGURE_OPTIONS += --disable-ipv6

$(PKG)_CONFIG_SUBOPTS += FREETZ_PACKAGE_STUNNEL_STATIC

$(PKG_SOURCE_DOWNLOAD)
$(PKG_UNPACKED)
$(PKG_CONFIGURED_CONFIGURE)

$($(PKG)_BINARY): $($(PKG)_DIR)/.configured
	PATH="$(TARGET_PATH)" \
		$(MAKE) -C $(STUNNEL_DIR) \
		LDFLAGS="$(STUNNEL_LDFLAGS)" \
		LIBS="$(STUNNEL_LIBS)"

$($(PKG)_TARGET_BINARY): $($(PKG)_BINARY)
	$(INSTALL_BINARY_STRIP)

$(pkg):

$(pkg)-precompiled: $($(PKG)_TARGET_BINARY)

$(pkg)-clean:
	-$(MAKE) -C $(STUNNEL_DIR) clean

$(pkg)-uninstall:
	$(RM) $(STUNNEL_TARGET_BINARY)

$(PKG_FINISH)
